<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="Style.css" />
    <title>Tarea 4 Aplicaciones Web I</title>
</head>
<body style="background-color:rgb(239, 245, 155);">
    <script>
        function Conver(){
            var num = parseInt(prompt("Por favor, ingrese el número octal: "));
            parseInt(num,10);
            alert("La conversión del número octal a decimal es :"+parseInt(num,8));
            alert("El resultado de la conversión de "+num+" octal es : "+parseInt(num,8)+" decimal");
        }
        function NumEnteros(){
            var num1 = prompt("Ingrese el primer número entero:");
            var num2 = prompt("Ingrese el segundo número entero:");
            var nentero1 = parseInt(num1);
            var nentero2 = parseInt(num2);
            var ciclo = 0;   
            var sum = nentero1 + nentero2;
            var res = nentero1 - nentero2;
            var mul = nentero1 * nentero2;
            var div = nentero1 / nentero2;

            while(ciclo < 4){   
                if(ciclo==0){
                    alert("La suma de los números enteros ingresados es: "+sum);
                }            
                if(ciclo==1){
                    alert("La resta de los números enteros ingresados es: "+res);
                }
                if(ciclo==2){
                    alert("La multiplicación de los números enteros ingresados es: "+mul);
                }
                if(ciclo==3){
                    alert("La división de los números enteros ingresados es: "+div);
                }
                ciclo++;
            }      
        }
        
        function MesesAño(){
            var MesesAño = ["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"];
            for(var  i=0; (MesesAño.length)>i ;i++){

                alert(MesesAño[i]);
            }
        }  
        function DatosProducto(){
            function Producto_Alimenticio(codigo,nombre,precio){
                this.codigo=codigo;
                this.nombre=nombre;
                this.precio=precio;
            }
            var ProductoA1 =new Producto_Alimenticio('34HB3','Lenteja', 1.00);
            var ProductoA2 =new Producto_Alimenticio('56JB2','Aceitunas', 3.50);
            var ProductoA3 =new Producto_Alimenticio('87KL5','Galletas sal', 2.50);
            var Productos =new Array(ProductoA1,ProductoA2,ProductoA3);
            imprimeDatos(Productos);
}

function imprimeDatos(Productos){
    var p=1;
    for(var i=0;i<3;i++){
        alert("Información del producto "+p+":\nCódigo: "+Productos[i].codigo+" Nombre: "+Productos[i].nombre+
        " Precio: "+Productos[i].precio)
        p++;
    }
}
    </script>

   <div class="TOP">
            <h1> TALLER 4 </h1>
    </div>
    <div class="main">
        <h3> 1. Convertidor de Octal a Decimal</h3><center><p>Aquí podrá convertir números de octal a decimal dando clic en el siguiente botón</p></center><center><input type="button" onclick="Conver()" value="Convertidor octal-decimal"><br></center>
        <p ALIGN="center">
            <img src="octal-decimal-calculator.jpg" width="150" height="150"/>
        </p>
        <hr>
        <h3> 2. Operación de números enteros</h3><center><p>Aquí podrá realizar operaciones de números enteros dando clic en el siguiente botón</p></center><center><input type="button" onclick="NumEnteros()" value="Operación enteros"><br></center> 
        <p ALIGN="center">
            <img src="Operaciones_matemáticas.jpg" width="150" height="150"/>
        </p>
        <hr>
    </div>
     
   
    <div class="TOP">
            <h1 > TALLER 5</h1>
    </div>
    <div class="main">
        <h3> 3. Meses del año</h3><center><p>Aquí podrá ver los meses del año dando clic en el siguiente botón</p></center><center><input type="button" onclick="MesesAño()" value="Ver Meses del año"><br></center> 
        <p ALIGN="center">
            <img src="Meses_del_año.png" width="170" height="150"/>
        </p>
        <hr>
        <h3> 4. Productos (objetos instanciados).</h3><center><p>Aquí podrá ingresar los datos del producto para luego visualizarlo dando clic en el siguiente botón</p></center><center><input type="button" onclick="DatosProducto()" value="Ver información de productos"></center> 
        <p ALIGN="center">
            <img src="Productos_alimenticios.jpg" width="150" height="150"/>
        </p>
        <hr>
    </div>
</body>
</html>